<?php get_header(); ?>

	<div id="content">

  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div class="post" id="post-<?php the_ID(); ?>">
			<h2><a href="<?php echo get_permalink($post->post_parent); ?>" rev="attachment"><?php echo get_the_title($post->post_parent); ?></a> &raquo; <?php the_title(); ?></h2>
			<div class="entry">
				<p class="attachment"><a href="<?php echo wp_get_attachment_url($post->ID); ?>"><?php echo wp_get_attachment_image( $post->ID, 'medium' ); ?></a></p> 
				<?php  if ( !empty($post->post_excerpt) ){
					echo "<div class=\"caption\">";
					the_excerpt();
					echo "</div>\n";
				}
				?>

				<?php the_content('<p class="serif">' . __('Read the rest of this entry &raquo;', 'lalala') . '</p>'); ?>

				<?php wp_link_pages(array('before' => '<p class="pages"><strong>' . __('Pages:', 'lalala') . '</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

		<?php
		$nav_prev_post_link = previous_image_link_rt();
		$nav_next_post_link = next_image_link_rt();
		$nav_blank = get_stylesheet_directory_uri()."/images/blank.png";
		if ( ( $nav_next_post_link != "" )||( $nav_prev_post_link != "" ) ) {
			echo ("<ul class=\"navigation\">\n");
			if ($nav_prev_post_link != '') {
				echo ("\t\t\t<li class=\"nextlink\">$nav_prev_post_link</li>\n");
			}else{
				echo "\t\t\t<li class=\"nextlink\"><img src=\"$nav_blank\" alt=\"\" /></li>\n";
			}
			if ($nav_next_post_link != '') {
				echo ("\t\t\t<li class=\"prevlink\">$nav_next_post_link</li>\n");
			}else{
				echo "\t\t\t<li class=\"prevlink\"><img src=\"$nav_blank\" alt=\"\" /></li>\n";
			}
			echo ("\t\t</ul>\n");
		}
		?>

				<p class="postmetadata">
						<?php printf(__('This entry was posted on %1$s at %2$s and is filed under %3$s.', 'lalala'),  get_the_time(__('l, F jS, Y', 'lalala')), get_the_time(), get_the_category_list(', ')); ?>
						<?php the_taxonomies(); ?>
						<?php printf(__("You can follow any responses to this entry through the <a href='%s'>RSS 2.0</a> feed.", "lalala"), get_post_comments_feed_link()); ?> 

						<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Both Comments and Pings are open ?>
							<?php printf(__('You can <a href="#respond">leave a response</a>, or <a href="%s" rel="trackback">trackback</a> from your own site.', 'lalala'), trackback_url(false)); ?>

						<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Only Pings are Open ?>
							<?php printf(__('Responses are currently closed, but you can <a href="%s" rel="trackback">trackback</a> from your own site.', 'lalala'), trackback_url(false)); ?>

						<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Comments are open, Pings are not ?>
							<?php _e('You can skip to the end and leave a response. Pinging is currently not allowed.', 'lalala'); ?>

						<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Neither Comments, nor Pings are open ?>
							<?php _e('Both comments and pings are currently closed.', 'lalala'); ?>

						<?php } edit_post_link(__('Edit this entry.', 'lalala'),'',''); ?>

				</p>

			</div>

		</div>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>

		<p><?php _e('Sorry, no posts matched your criteria.', 'lalala'); ?></p>

<?php endif; ?>

	</div>


<?php get_sidebar(); ?>

<?php get_footer(); ?>
